Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/tests/sbin/ifconfig apply this change to a a couple more tests:
details: https://anonhg.NetBSD.org/src/rev/4e91267b7381
branches: trunk
changeset: 978977:4e91267b7381
user: mrg <mrg%NetBSD.org@localhost>
date: Thu Dec 10 08:16:59 2020 +0000
description:
apply this change to a a couple more tests:
---
date: 2020-07-27 09:57:44 -0700; author: gson; state: Exp; lines: +6 -1; commitid: m3HouRBlhyJQVJhC;
Skip the repeated_link_addr test by default as it causes the
evbarm-aarch64 testbed to hang (PR port-evbarm/55521), and will not be
safe to run by default even after that bug is fixed, for similar
reasons as t_repeated_updown.
---
t_repeated_mtu.sh changes the MTU, which may cause NFS to fail.
if you have NFS root, this is system killing.
t_repeated_scan.sh kills and restarts both hostapd and
wpa_supplicant.
diffstat:
tests/sbin/ifconfig/t_repeated_mtu.sh | 7 ++++++-
tests/sbin/ifconfig/t_repeated_scan.sh | 7 ++++++-
2 files changed, 12 insertions(+), 2 deletions(-)
diffs (42 lines):
diff -r c077f52b6eb1 -r 4e91267b7381 tests/sbin/ifconfig/t_repeated_mtu.sh
--- a/tests/sbin/ifconfig/t_repeated_mtu.sh Thu Dec 10 07:27:37 2020 +0000
+++ b/tests/sbin/ifconfig/t_repeated_mtu.sh Thu Dec 10 08:16:59 2020 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: t_repeated_mtu.sh,v 1.1 2020/06/30 11:48:20 jruoho Exp $
+# $NetBSD: t_repeated_mtu.sh,v 1.2 2020/12/10 08:16:59 mrg Exp $
#
# Copyright (c) 2020 The NetBSD Foundation, Inc.
# All rights reserved.
@@ -36,6 +36,11 @@
repeated_mtu_body() {
+ if ! [ $(atf_config_get "run_unsafe" "no") = "yes" ]
+ then
+ atf_skip "can disrupt networking; also PR port-evbarm/55521"
+ fi
+
# This sequence covers both valid and invalid MTUs; we are
# only interested in testing that the system does not hang.
#
diff -r c077f52b6eb1 -r 4e91267b7381 tests/sbin/ifconfig/t_repeated_scan.sh
--- a/tests/sbin/ifconfig/t_repeated_scan.sh Thu Dec 10 07:27:37 2020 +0000
+++ b/tests/sbin/ifconfig/t_repeated_scan.sh Thu Dec 10 08:16:59 2020 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: t_repeated_scan.sh,v 1.5 2020/06/27 04:15:17 jruoho Exp $
+# $NetBSD: t_repeated_scan.sh,v 1.6 2020/12/10 08:16:59 mrg Exp $
#
# Copyright (c) 2020 The NetBSD Foundation, Inc.
# All rights reserved.
@@ -36,6 +36,11 @@
repeated_scan_body() {
+ if ! [ $(atf_config_get "run_unsafe" "no") = "yes" ]
+ then
+ atf_skip "can disrupt networking; also PR port-evbarm/55521"
+ fi
+
# Even though this should amount to a "few minutes",
# try to still avoid stalling any automated test runs.
#
Home |
Main Index |
Thread Index |
Old Index